CairoContext::closePath
CairoContext::copyPage
CairoContext
PHP Manual

# CairoContext::__construct

Creates a new CairoContext

### Description

public CairoContext::__construct ( CairoSurface `$surface` )

Creates a new CairoContext object to draw

### Parameters

`surface`

  A valid CairoSurface like CairoImageSurface or CairoPdfSurface

### Return Values

A CairoContext

### Examples

Example #1 CairoContext::__construct example

`<?php
// The surface to work on
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
// Create a new CairoContext for the CairoSurface
$context = new CairoContext($surface);
?>`

### See Also

- Cairo::Method